summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernd Waibel <waebbl-gentoo@posteo.net>2021-06-22 00:38:44 +0200
committerSam James <sam@gentoo.org>2021-06-22 19:35:06 +0100
commit075636aa0f50bf863c6185af87942ee1eca5e044 (patch)
tree31abdd6b96162fe5dfa3d43485d116134e07e778
parentmedia-libs/ilmbase: bump to 2.5.7 (diff)
downloadgentoo-075636aa0f50bf863c6185af87942ee1eca5e044.tar.gz
gentoo-075636aa0f50bf863c6185af87942ee1eca5e044.tar.bz2
gentoo-075636aa0f50bf863c6185af87942ee1eca5e044.zip
media-libs/openexr: bump to 2.5.7
Closes: https://bugs.gentoo.org/656680 Bug: https://bugs.gentoo.org/776808 Bug: https://bugs.gentoo.org/787452 Package-Manager: Portage-3.0.20, Repoman-3.0.3 Signed-off-by: Bernd Waibel <waebbl-gentoo@posteo.net> Signed-off-by: Sam James <sam@gentoo.org>
-rw-r--r--media-libs/openexr/Manifest1
-rw-r--r--media-libs/openexr/files/openexr-2.5.7-0001-disable-testRgba-on-sparc.patch31
-rw-r--r--media-libs/openexr/openexr-2.5.7.ebuild68
3 files changed, 100 insertions, 0 deletions
diff --git a/media-libs/openexr/Manifest b/media-libs/openexr/Manifest
index 70d32b88571..3c013834943 100644
--- a/media-libs/openexr/Manifest
+++ b/media-libs/openexr/Manifest
@@ -1,3 +1,4 @@
DIST openexr-2.5.5.tar.gz 27536865 BLAKE2B d0c0b2fd39b2cfafb60b6d0de3960063ff62341cf22be519f874c0c83f05cb604c5d503bb8b88514c71c5a54a79afa80a7fd00c2df15ec2193f6b3cffdc117c6 SHA512 e511af26a8fe2175a641fd25d2dcc6ef807e00bee2aff06a4784125f916ffd47fe376fe0621d385b604180a239bbfee063f8ceee3f7b731fde3c38558e9fdcdf
DIST openexr-2.5.6.tar.gz 27540385 BLAKE2B eea64c6ae4500de31673f3127da6ac98272e85a2c93e2aed96494cc24c397edbce508f0721387be5bbabc4dde596dccf61212709173b7cebd4212dbfbd1e4b65 SHA512 8d4582a5f2adcd5eb1486cabe033f9ecaa0292000bf7fa484a94e1d9ec908678a5a903fc6a1beba22bcd9c7f06ac51236834f448ea8aaf4462a338de886f0412
+DIST openexr-2.5.7.tar.gz 27539574 BLAKE2B 58fd81be52e13d2815b6aa8cea6793359379f5ebf866fd45b31ce30cf5f72aa4699625e7cec51189d62fe76f53418c3e0938f9b827d54ad18342e7aa67c8a3d2 SHA512 e44edfa2dcfff2fe372ed2ba07b39a472e549025978de178eff26be641767d22d1a3b543fb7672d9b7b2e9f4c308667f785829ed6d9032a2b42f2ffa0163de40
DIST openexr-3.0.1.tar.gz 25059445 BLAKE2B 76bce1ff830b5e32362bfaf91d39945add171c5c1f453968b2fa8ba41e0996064d3a104eb7759cea87477e96e8a52d548743c7d83f5c6131dd38aecdd47bd6dd SHA512 e450c55d150e4c0a8a9147f78fe1c73ea9134976444f8c77c832d0671d4c3796f96fee74d23f26cdb9383e658a33d6d57c989e9207d1edfc8556ad688ff25a5b
diff --git a/media-libs/openexr/files/openexr-2.5.7-0001-disable-testRgba-on-sparc.patch b/media-libs/openexr/files/openexr-2.5.7-0001-disable-testRgba-on-sparc.patch
new file mode 100644
index 00000000000..368c9173d13
--- /dev/null
+++ b/media-libs/openexr/files/openexr-2.5.7-0001-disable-testRgba-on-sparc.patch
@@ -0,0 +1,31 @@
+From: Bernd Waibel <waebbl-gentoo@posteo.net>
+Date: Mon, 21 Jun 2021 12:03:02 +0200
+Subject: [PATCH] disable testRgba on sparc
+
+Fails on sparc, bug #656680 and issue
+https://github.com/openexr/openexr/issues/222
+
+Bug: https://bugs.gentoo.org/656680
+Bug: https://github.com/AcademySoftwareFoundation/openexr/issues/222
+
+Signed-off-by: Bernd Waibel <waebbl-gentoo@posteo.net>
+---
+ IlmImfTest/main.cpp | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/IlmImfTest/main.cpp b/IlmImfTest/main.cpp
+index 3245fc4..3ba3e60 100644
+--- a/IlmImfTest/main.cpp
++++ b/IlmImfTest/main.cpp
+@@ -206,7 +206,7 @@ main (int argc, char *argv[])
+ TEST (testXdr, "core");
+ TEST (testHuf, "core");
+ TEST (testWav, "core");
+- TEST (testRgba, "basic");
++// TEST (testRgba, "basic");
+ TEST (testLargeDataWindowOffsets, "basic");
+ TEST (testSharedFrameBuffer, "basic");
+ TEST (testRgbaThreading, "basic");
+--
+2.32.0
+
diff --git a/media-libs/openexr/openexr-2.5.7.ebuild b/media-libs/openexr/openexr-2.5.7.ebuild
new file mode 100644
index 00000000000..7850aca1b9e
--- /dev/null
+++ b/media-libs/openexr/openexr-2.5.7.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+CMAKE_ECLASS=cmake
+inherit cmake-multilib flag-o-matic toolchain-funcs
+
+DESCRIPTION="ILM's OpenEXR high dynamic-range image file format libraries"
+HOMEPAGE="https://www.openexr.com/"
+SRC_URI="https://github.com/AcademySoftwareFoundation/openexr/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${P}/OpenEXR"
+
+LICENSE="BSD"
+SLOT="0/25" # based on SONAME
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-solaris"
+IUSE="cpu_flags_x86_avx doc examples static-libs utils test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ ~media-libs/ilmbase-${PV}:=[static-libs?,${MULTILIB_USEDEP}]
+ sys-libs/zlib[${MULTILIB_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+DOCS=( PATENTS README.md )
+
+src_prepare() {
+ # Fix path for testsuite
+ sed -i -e "s:/var/tmp/:${T}:" "${S}"/IlmImfTest/tmpDir.h || die "failed to set temp path for tests"
+
+ # disable failing tests on various arches
+ if use test; then
+ if use abi_x86_32; then
+ eapply "${FILESDIR}/${PN}-2.5.2-0001-IlmImfTest-main.cpp-disable-tests.patch"
+ fi
+
+ if use sparc; then
+ eapply "${FILESDIR}/${P}-0001-disable-testRgba-on-sparc.patch"
+ fi
+ fi
+
+ multilib_foreach_abi cmake_src_prepare
+}
+
+multilib_src_configure() {
+ local mycmakeargs=(
+ -DBUILD_TESTING=$(usex test)
+ -DINSTALL_OPENEXR_DOCS=$(usex doc)
+ -DINSTALL_OPENEXR_EXAMPLES=$(usex examples)
+ -DOPENEXR_BUILD_BOTH_STATIC_SHARED=$(usex static-libs)
+ -DOPENEXR_BUILD_UTILS=$(usex utils)
+ -DOPENEXR_INSTALL_PKG_CONFIG=ON
+ -DOPENEXR_USE_CLANG_TIDY=OFF # don't look for clang-tidy
+ )
+
+ cmake_src_configure
+}
+
+multilib_src_install_all() {
+ if use doc; then
+ DOCS+=( doc/*.pdf )
+ fi
+ einstalldocs
+
+ use examples && docompress -x /usr/share/doc/${PF}/examples
+}